#!/bin/python
filepar="par_plot.plt"
filein="Flux_Pump_Line.txt"
fileout="J_line.jpeg"
tpause=-1

set macros
load "macros.plt" #macros for output format and colormaps
load filepar

c=step-1;
########################################################################

# Creating Different files for each time step
set terminal jpeg size 1280, 480 font "Arial,30"
set size ratio -1
set size square
filebase="Jline"
!mkdir Jline
load "style.plt"
set palette rgbformulae 30,31,32
set key off
set yrange [-1.3:1.3]
set ytics 0.4
set xtics 3
set samples 100; 
set grid
lwidth=2
#set samples 200
#set autoscale
do for [i=120:c]{
set terminal jpeg
set xlabel "x coordinate (mm)"
set ylabel "J_y/J_{c0}"
ofile=sprintf("Jline/%s_%03d.jpeg",filebase,i) ; set out ofile
plot filein index i using ($2*1000):($6) ls 1 pointtype 7 pointsize 0.05 lw 4 notitle
}

@xterm
#replot
#pause -1 sprintf("Output at %s",ofile)
reset

############################################################################
