#!/bin/python

filepar="par_plot.plt"
filein="output3Dz.txt"
#filein="outputAV.txt"
filein1="Tz_sub180.txt"   #change this for current lines


#input
#form:0-jpeg, 1-eps 
form=1;

########################################################################
#step for current map
n=180;   #change this for Jc distribution

load filepar
w=x*1000;

t= (step+1)*dt;
Ba= Bamax * sin (2 * pi * f * t)*1e3;
a= z/(ncz);
mi0=4*pi*1e-7;
   
h=1.3;
g=Bamax*1000;
#if(rel==3){Jc=Jcpe};
########################################################################
#Macros
set macros

if(form==0){epsterm='set terminal jpeg'}
else{epsterm='set terminal postscript eps enhanced color lw 1 "Arial" 20'}
#for PNG format : set term png enhanced
########################################################################

set size ratio -1

set palette rgbformulae 30,31,32
lwidth=1
set samples 200
set style data lines
set cbrange [0:1.3] 
#unset colorbox   

set parametric
set contour surface
set view 0,0,1
unset surface
set cntrparam levels 15
#set colorbox user origin 0.7,0.25 size 0.01,0.5 
set table
set out "data_out/contours.txt"
splot filein1 index 0 using ($1):($2):3 with line
unset table

@epsterm
if(form==0){set output sprintf("2Dz_JLine%.0f.jpeg",n)}
else{set output sprintf("2Dz_JLine%.0f.eps",n)}

set cblabel "|J|/J_c"
set xlabel "x coordinate (mm)" 
set ylabel "y coordinate (mm)" 
set xtics 6 
set ytics 8
#set cbtics 0.25
set key off
set style data lines 
set palette rgbformulae 30,31,32
lwidth=1
set colorbox user origin 0.68,0.3 size 0.015,0.5 
set samples 200
set style data lines   

#set xrange [(-x*1000/2)/w:(x*1000/2)/w]
#set yrange [(-y*1000/2)/w:(y*1000/2)/w]
set xrange [0:x*1000]
set yrange [0:y*1000]

#plot \
		#filein index n using ($2*1000):($3*1000):($10/Jc) with image  notitle , \
		#"data_out/contours.txt" using ($1*1000):($2*1000) with lines ls 1 lc "gray-50" notitle

#current disribution and current lines together			
#plot \
	#filein index n using ($2*1000):($3*1000):(sqrt($9**2 + $10**2 + $11**2)/Jc) with image  notitle , \
	#"data_out/contours.txt" using ($1*1000):($2*1000) with lines ls 1 lc "white-gray" lw 0.5 notitle
	
#only current lines	
	plot \
	"data_out/contours.txt" using ($1*1000):($2*1000) with lines ls 1 lc "red" lw 0.75 notitle


#filein index n using (($2*1000-w/2)/w):(($3*1000-(1*w/2))/w):($9/Jc) with image  notitle , \   "#00FFFF-50"
#

#plot \
#		filein index n using (($2*1000-w/2)/w):(($3*1000-(2*w/2))/w):(sqrt($9**2+$10**2+$11**2)/Jc) with image  notitle , \
#		"data_out/contours.txt" using (($1*1000-w/2)/w):(($2*1000-(2*w/2))/w) with lines ls 1 lc "gray-50" notitle


#jpeg ls 1 lc 10

